/*

  Ultrasonic Ranging using HC-SR04

  PD1 - Trigger (Output 5V TTL)
  PD0 - Echo (Input 5V TTL)

  - Width of Echo pulse is proportional to distance.

  - Variable <hc04_distance> in centimeters is updated by
    timer 1 pin change interrupt

*/

//#include <3Pi.h>
#include <pololu/orangutan.h>
#include <stdio.h>
#include <avr/interrupt.h>
#include "hc04.h"

// ---------- Main ----------

int main() {

    hc04_init();
    lcd_init_printf();

    while (1) {

        // HC04 Working in Background

        delay_ms(80); // Poll cycle
        clear();
        printf ("%d", hc04_distance);

    }
}


